gdata.apps.apps_property_entry | index /usr/local/google/home/afshar/src/external-gdata-release/google3/src/gdata/apps/apps_property_entry.py

`Generic class for Set/Get properties of GData Provisioning clients.`

Modules

``

gdata |  |  |

Classes

``

gdata.data.GDEntry(atom.data.Entry, gdata.data.LinkFinder)
  AppsPropertyEntry

class AppsPropertyEntry(gdata.data.GDEntry)
`` | `Represents a generic entry in object form.`

Method resolution order:
  AppsPropertyEntry
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

property = [<class 'gdata.apps_property.AppsProperty'>]

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

content = <class 'atom.data.Content'>
  `The atom:content element.`

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

summary = <class 'atom.data.Summary'>
  `The atom:summary element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

Data
`` |  | __author__ = 'Gunjan Sharma <gunjansharma@google.com>'

Author
`` |  | Gunjan Sharma <gunjansharma@google.com>